Bug 839701 - Review Request: perl-SQL-ReservedWords - Determine if words are reserved by ANSI/ISO SQL standard.
Review Request: perl-SQL-ReservedWords - Determine if words are reserved by A...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 839751 839754
  Show dependency treegraph
 
Reported: 2012-07-12 11:15 EDT by Bill Pemberton
Modified: 2014-08-01 12:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 18:26:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bill Pemberton 2012-07-12 11:15:19 EDT
Spec URL: http://wfp.fedorapeople.org/perl-SQL-ReservedWords.spec
SRPM URL: http://wfp.fedorapeople.org/perl-SQL-ReservedWords-0.7-2.fc17.src.rpm

Description:  
Determine if words are reserved by ANSI/ISO SQL standard.  There are also
sub modules that determine if a particular database server reserves the word.

Fedora Account System Username: wfp

I would like to eventually package Rose::DB::Object, this module is required for it.
Comment 1 Jitka Plesnikova 2012-07-16 08:48:26 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[-]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.

TODO:
* Add the patch attached to the bug
  https://rt.cpan.org/Public/Bug/Display.html?id=28367
* Remove Buildroot:
* Remove %clean section
* Remove defattr(....) from the section %file
* Remove rm -rf $RPM_BUILD_ROOT from section %install
* Add to BuildRequires
  perl(constant) -- (./lib/SQL/ReservedWords.pm:9)
* Add to Requires
  perl(Pod::Usage) -- (./scripts/sqlrw:59)


Please fix all TODO items and provide new spec.

Package is NOT approved.


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Comment 2 Bill Pemberton 2012-07-16 10:51:29 EDT
Updated to address above comments:

Spec URL: http://wfp.fedorapeople.org/perl-SQL-ReservedWords.spec
SRPM URL: http://wfp.fedorapeople.org/perl-SQL-ReservedWords-0.7-3.fc17.src.rpm
Comment 3 Jitka Plesnikova 2012-07-16 11:08:50 EDT
Changes are ok. 

I have only one more thing. Please add the comment with link of bug before the Patch0. Just to know what it is fixing.

Please update the spec before you commit it.

Package is APPROVED.
Comment 4 Bill Pemberton 2012-07-16 11:23:05 EDT
New Package SCM Request
=======================
Package Name: perl-SQL-ReservedWords
Short Description: Determine if words are reserved by ANSI/ISO SQL standard
Owners: wfp
Branches: f16 f17 el6
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2012-07-16 12:16:33 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-07-16 15:21:44 EDT
perl-SQL-ReservedWords-0.7-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-SQL-ReservedWords-0.7-4.fc16
Comment 7 Fedora Update System 2012-07-16 15:21:54 EDT
perl-SQL-ReservedWords-0.7-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-SQL-ReservedWords-0.7-4.fc17
Comment 8 Fedora Update System 2012-07-16 15:22:05 EDT
perl-SQL-ReservedWords-0.7-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-SQL-ReservedWords-0.7-4.el6
Comment 9 Fedora Update System 2012-07-19 05:02:53 EDT
perl-SQL-ReservedWords-0.7-4.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-07-26 18:26:56 EDT
perl-SQL-ReservedWords-0.7-4.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2012-07-26 18:34:29 EDT
perl-SQL-ReservedWords-0.7-4.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2012-08-05 02:34:51 EDT
perl-SQL-ReservedWords-0.7-4.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 13 Bill Pemberton 2014-07-31 15:51:48 EDT
Package Change Request
=======================
Package Name: perl-SQL-ReservedWords
Short Description: Simple object base class
Owners: wfp
Branches: el7
Comment 14 Gwyn Ciesla 2014-08-01 12:06:24 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.